Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class PortalSessionManager

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.jasig.portal.PortalSessionManager

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class PortalSessionManager

extends javax.servlet.http.HttpServlet

This is an entry point into the uPortal.

Version:
  $Revision: 1.105.2.2 $
Author:
  Peter Kharchenko
See Also:
  Serialized Form

Field Summary
`private static boolean` | `ALLOW_REPEATED_REQUESTS`
`private static boolean` | `DEFAULT_ALLOW_REPEATED_REQUESTS` Default value for ALLOW_REPEATED_REQUESTS.
`private static java.lang.String` | `DEFAULT_SAX_DRIVER` Default SAX driver name.
`private static boolean` | `DEFAULT_URL_CACHING` Default value for whether to cache URLs.
`private static boolean` | `fatalError`
`static java.lang.String` | `IDEMPOTENT_URL_TAG`
`private static boolean` | `initialized`
`static ErrorID` | `initPortalContext`
`private static PortalSessionManager` | `instance`
`static java.lang.String` | `INTERNAL_TAG_VALUE`
`private static org.apache.commons.logging.Log` | `log`
`private static java.util.Random` | `randomGenerator`
`private static javax.servlet.ServletContext` | `servletContext`
`static java.util.Date` | `STARTED_AT`

Constructor Summary
`PortalSessionManager()`

Method Summary
`void` | `destroy()`
`void` | `doGet(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process HTTP GET request.
`void` | `doPost(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse res)` Process HTTP POST request
`static PortalSessionManager` | `getInstance()` Provides access to the servlet instance ultimately to provide access to the servlet context of the portal.
`static java.io.InputStream` | `getResourceAsStream(java.lang.String resource)` Gets an input stream associated with the named resource.
`static java.net.URL` | `getResourceAsURL(java.lang.String resource)` Gets a URL associated with the named resource.
`void` | `init()` Initialize the PortalSessionManager servlet

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### DEFAULT_ALLOW_REPEATED_REQUESTS

    private static final boolean DEFAULT_ALLOW_REPEATED_REQUESTS

  Default value for ALLOW_REPEATED_REQUESTS. This value will be used when the corresponding property cannot be loaded.

  See Also:
    Constant Field Values

### DEFAULT_URL_CACHING

    private static final boolean DEFAULT_URL_CACHING

  Default value for whether to cache URLs. This value will be used when the corresponding property cannot be loaded.

  See Also:
    Constant Field Values

### DEFAULT_SAX_DRIVER

    private static final java.lang.String DEFAULT_SAX_DRIVER

  Default SAX driver name. This will be used when the System property is not set and the corresponding portal.properties property is not set.

  See Also:
    Constant Field Values

### INTERNAL_TAG_VALUE

    public static final java.lang.String INTERNAL_TAG_VALUE

### IDEMPOTENT_URL_TAG

    public static final java.lang.String IDEMPOTENT_URL_TAG

See Also:
  Constant Field Values

### initialized

    private static boolean initialized

### servletContext

    private static javax.servlet.ServletContext servletContext

### instance

    private static PortalSessionManager instance

### fatalError

    private static boolean fatalError

### initPortalContext

    public static final ErrorID initPortalContext

### ALLOW_REPEATED_REQUESTS

    private static final boolean ALLOW_REPEATED_REQUESTS

### randomGenerator

    private static final java.util.Random randomGenerator

### STARTED_AT

    public static java.util.Date STARTED_AT

Constructor Detail

### PortalSessionManager

    public PortalSessionManager()

Method Detail

### getInstance

    public static final PortalSessionManager getInstance()

  Provides access to the servlet instance ultimately to provide access to the servlet context of the portal.

  Returns:
    instance, the PortalSessionManager servlet instance

### init

    public void init()
              throws javax.servlet.ServletException

  Initialize the PortalSessionManager servlet

  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest req,
                       javax.servlet.http.HttpServletResponse res)

  Process HTTP POST request

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - an incoming `HttpServletRequest` value
    `res` - an outgoing `HttpServletResponse` value

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest req,
                      javax.servlet.http.HttpServletResponse res)

  Process HTTP GET request.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `req` - an incoming `HttpServletRequest`
    `res` - an outgoing `HttpServletResponse`

### getResourceAsURL

    public static java.net.URL getResourceAsURL(java.lang.String resource)

  Gets a URL associated with the named resource. Call this to access files with paths relative to the document root. Paths should begin with a "/".

  Parameters:
    `resource` - relative to the document root
  Returns:
    a URL associated with the named resource or null if the URL isn't accessible

### getResourceAsStream

    public static java.io.InputStream getResourceAsStream(java.lang.String resource)

  Gets an input stream associated with the named resource. Call this to access files with paths relative to the document root. Paths should begin with a "/".

  Parameters:
    `resource` - relative to the document root
  Returns:
    an input stream assosiated with the named resource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD